Note

This is a documentation for version 7.0.0-alpha.5.
To check version 6.2.2 go here. To check previous releases go here.

# vue/no-deprecated-dollar-listeners-api

disallow using deprecated $listeners (in Vue.js 3.0.0+)

  • ⚙️ This rule is included in all of "plugin:vue/vue3-essential", "plugin:vue/vue3-strongly-recommended" and "plugin:vue/vue3-recommended".

# 📖 Rule Details

This rule reports use of deprecated $listeners. (in Vue.js 3.0.0+).

<template> <!-- ✗ BAD --> <MyInput v-on="$listeners"> </template> <script> export default { computed: { listeners() { return { /* ✗ BAD */ ...this.$listeners, input() { /* */ } } } } } </script>
Now loading...

# 🔧 Options

Nothing.

# 📚 Further reading

# 🔍 Implementation